Bug 1125053 - This package should be retired
Summary: This package should be retired
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ufc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 01:22 UTC by Christopher Meng
Modified: 2016-07-19 11:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:59:07 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-31 01:22:30 UTC
Hi,

Per upstream annoucement, this package should be retired:

"From February 2014, the UFC repository has been deprecated in favor of FFC, which now contains the source code of UFC. The UFC interface itself lives on in the form of the header file ufc.h and associated utilities. Starting with the release of FEniCS 1.4, these will be installed as part of the installation of FFC."

As far as I can see, it's now merged into ffc as a part.

If I'm right, please retire it ASAP.

Thanks.

Comment 1 Jonathan Underwood 2014-07-31 14:53:11 UTC
Which branches are you planning on pushing ffc to?

You'll obviously need to add appropriate Obsoletes and Provides to the ffc 1.4 packages. That will take care of things - there's no urgency to the package retiring, that doesn't block you pushing ffc 1.4 if you provide the correct obsoletes and requires.

Once you have pushed ffc 1.4, let me know which branches, and I'll retire this package.

Comment 2 Jaroslav Reznik 2015-03-03 16:10:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Jonathan Underwood 2015-08-05 16:34:19 UTC
Still waiting on Christopher to indicate which branches he's pushing ffc to before I can retire this.

Comment 4 Fedora Admin XMLRPC Client 2015-08-05 16:42:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Christopher Meng 2015-09-15 03:18:08 UTC
(In reply to Jonathan Underwood from comment #3)
> Still waiting on Christopher to indicate which branches he's pushing ffc to
> before I can retire this.

Not yet however. Bug 693137 is closed, I haven't submitted review of ffc.

Comment 6 Fedora End Of Life 2016-07-19 11:59:07 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.